hw_api_content->read
hw_api->copy
Hyperwave API Funkcje
PHP Manual

# hw_api->content

(No version information available, might be only in CVS)

hw_api->content — Returns content of an object

### Opis

hw_api
HW_API_Content content ( array `$parameter` )

This function returns the content of a document as an object of type hw_api_content.

### Parametry

`parameter`

  The parameter array contains the required elements 'objectidentifier' and the optional element 'mode'. The mode can be one of the constants `HW_API_CONTENT_ALLLINKS`, `HW_API_CONTENT_REACHABLELINKS` or `HW_API_CONTENT_PLAIN`.

  `HW_API_CONTENT_ALLLINKS` means to insert all anchors even if the destination is not reachable.

  `HW_API_CONTENT_REACHABLELINKS` tells this method to insert only reachable links and `HW_API_CONTENT_PLAIN` will lead to document without any links.

### Zwracane wartości

Returns an instance of hw_api_content.

hw_api_content->read
hw_api->copy
Hyperwave API Funkcje
PHP Manual